Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. LogItems
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
    • GET a list of documents
    • GET one document
    • POST (create) a batch of documents
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
      GET
    • GET a list of log items
      GET
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. LogItems

GET a list of log items

GET
/clients/{clientno}/logitems
Get a list of log items (also referred to as BatchLog) based on criteria given in query parameters. Default and upper limit of maximumcount = 10000; pageSize default = 100, pageSize upper limit = 1000. (maximumcount = maximum total number of records returned per query, pagesize = maximum number of records per page)

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Log item(s) found
Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//logitems?logitemid&query&pageno&pagesize&maximumcount&jobqueueid&logdatefrom&logdateto&logstatusfrom&logstatusto&jobcategory&jobsubcategory' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - List of log items
{
    "summary": {
        "pageNo": 1,
        "currentPageSize": 2,
        "pageSizeLimit": 2,
        "totalPages": 8,
        "totalCount": 15,
        "maximumCount": 1000,
        "nextPage": "https://api.staging.amili.no/arm/v1/clients/2218/logitems?query=2YLVFApvQZziDvIxnv34P&pageno=2",
        "lastPage": "https://api.staging.amili.no/arm/v1/clients/2218/logitems?query=2YLVFApvQZziDvIxnv34Pv&pageno=8",
        "queryId": "2YLVFApvQZziDvIxnv34P"
    },
    "logItems": [
        {
            "clientNo": 2218,
            "logItemId": 212050814,
            "jobDescription": "Leger/AR/GL report (cl 2218)",
            "generalDescription": "Ledger/AR/GL/adb report to file",
            "logMessage": "Product sales report/40, 1 client(s) treated. 450 item(s) reported",
            "reportFileName": "ADBreport_002218_20251001_092117.csv",
            "jobQueueId": 862437,
            "logFileId": 3866429,
            "jobCategory": "Batch",
            "jobSubCategory": "LedgerRpt",
            "jobUser": "Gyda/Invoicia",
            "logStatus": 300,
            "logTime": "2025-04-27T07:08:37.227+01:00",
            "totalCount": 450,
            "totalAmount": 55693.75,
            "arAccountNo": 0,
            "referenceNo": 0,
            "referenceSequenceNo": 0,
            "externalMemo": ""
        },
        {
            "clientNo": 2218,
            "logItemId": 212050815,
            "jobDescription": "Product sales report cl 2218",
            "generalDescription": "Product sales report to file",
            "logMessage": "Product sales report/40, 1 client(s) treated. 49 item(s) reported",
            "reportFileName": "HistADBreport_002218_20251002_110156.csv",
            "jobQueueId": 862563,
            "logFileId": 3867425,
            "jobCategory": "Batch",
            "jobSubCategory": "LedgerRpt",
            "jobUser": "Gyda/Invoicia",
            "logStatus": 300,
            "logTime": "2025-04-29T07:11:17.285+01:00",
            "totalCount": 49,
            "totalAmount": 5823,
            "arAccountNo": 0,
            "referenceNo": 0,
            "referenceSequenceNo": 0,
            "externalMemo": "Ordered ad hoc"
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
GET one log item
Next
POST (create) a new payment reservation
Built with